/*****************************************************************************/
/* File: FileLoader.h                                                        */
/*                                                                           */
/* Description:                                                              */
/*                                                                           */
/* Abstract base class used for loading .x files into Node objects.          */
/*                                                                           */
/* All portions Copyright (c) Austin Krauss, 2003.                           */
/*****************************************************************************/

                           /* MODIFICATION LOG */
/*****************************************************************************/
/*  Date    *  Rev # *  Who     *   Comment                                  */
/*---------------------------------------------------------------------------*/
/* 6/15/03  *   01   *  Austin  * Misc. cleanup                              */
/*---------------------------------------------------------------------------*/
/* 4/27/03  *   00   *  Austin  * Created.                                   */
/*****************************************************************************/

/*****************************************************************************/
/*                                 HEADERS                                   */  
/*****************************************************************************/

#if !defined(FILELOADER_H)
#define FILELOADER_H

#include "SceneGraphNode.h"

#ifdef _DEBUG
#include "Logger.h"
#endif 

/*****************************************************************************/
/*                            CLASS INTERFACE                                */
/*****************************************************************************/

namespace MidwayMath {

  class FileLoader {

    public:

      // Constants
//    static const char* TEXTURE_PATH = ".\\Textures\\";

      // Operations
      void SetNode(SceneGraphNode *n)  { mpNode = n; }
      void SetFileName(char *f)        { mpcFileName = f; }
      SceneGraphNode *GetNode()        { return mpNode; }
      const char *GetFileName()                { return mpcFileName; }
      
      virtual void Load(SceneGraphNode*) = 0;
      virtual void Load(char *file) = 0;
      virtual void Load()           = 0;
    
    protected:

    #ifdef _DEBUG
      Logger *mpLog;
    #endif
     
      const char *mpcFileName;
      SceneGraphNode *mpNode;
  };

} // End Namespace
#endif
