/*****************************************************************************/
/* File: Ground.h                                                            */
/*                                                                           */
/* Description:                                                              */
/*                                                                           */
/* All portions Copyright (c) Austin Krauss, 2003.                           */
/*****************************************************************************/

                           /* MODIFICATION LOG */
/*****************************************************************************/
/*  Date    *  Rev # *  Who     *   Comment                                  */
/*---------------------------------------------------------------------------*/
/* 12/14/03 *   00   *  Austin  * Created.                                   */
/*****************************************************************************/

/*****************************************************************************/
/*                                 HEADERS                                   */  
/*****************************************************************************/

#if !defined(GROUND_H)
#define GROUND_H

#include "ModelNode.h"
#include <tokamak.h>

#ifdef _DEBUG
#include "Logger.h"
#endif 

/*****************************************************************************/
/*                            CLASS INTERFACE                                */
/*****************************************************************************/

namespace MidwayMath {

  class Ground : public ModelNode {

    public:
      
      // Constructors / Destructors
      Ground(Renderer*, neSimulator*, const char *);
      
    #ifdef _DEBUG  
      Ground(Logger*, Renderer*, neSimulator*, const char *);
    #endif
      
      ~Ground();
    
      // Operations
      inline int GetCollisionId() { return mpAnimatedBody->GetCollisionID(); }
      inline void SetCollisionId(int id) { mpAnimatedBody->SetCollisionID(id); }
      
    private:

      neSimulator *mpPhysics;
      neAnimatedBody *mpAnimatedBody;
  };

} // End Namespace
#endif
