/*****************************************************************************/
/* File: Logger.cpp                                                          */
/*                                                                           */
/* Description:                                                              */
/*                                                                           */
/* This is the implementation of the Logger object as defined in Logger.h.   */
/*                                                                           */
/* This will work for now but there is much more room for features and       */
/* optimization. See the comments throughout...                              */ 
/*                                                                           */
/* All portions Copyright (c) Austin Krauss, 2002-2003.                      */
/*****************************************************************************/

                           /* MODIFICATION LOG */
/*****************************************************************************/
/*  Date    *  Rev # *  Who     *   Comment                                  */
/*---------------------------------------------------------------------------*/
/* 4/12/03  *   02   *  Austin  * Made Log() inline. Made Load() into a      */
/*          *        *          * constructor.                               */
/*---------------------------------------------------------------------------*/
/* 4/01/03  *   01   *  Austin  * Updated for the Speedy Delivery Project.   */
/*---------------------------------------------------------------------------*/
/* 12/31/02 *   00   *  Austin  * Created.                                   */
/*****************************************************************************/

/*****************************************************************************/
/*                                 HEADERS                                   */  
/*****************************************************************************/

#include "Logger.h"

using namespace MidwayMath;

/*****************************************************************************/
/*                               CONSTRUCTOR                                 */  
/*****************************************************************************/

Logger::Logger(const char *cpFileName) {

  mOutStream.open(cpFileName, std::ios_base::app | std::ios_base::out);
  
  if(mOutStream.fail())
    throw "Could not open logfile";  
  
  mOutStream << "*******************************************************************************\n";    
  mOutStream << "*                   LOGGING STARTED " << GetTimeAsString() << "                  *\n";
  mOutStream << "*******************************************************************************\n\n";
  mOutStream.flush();   
}

/*****************************************************************************/
/*                               DESTRUCTOR                                  */  
/*****************************************************************************/

Logger::~Logger() {

  mOutStream << "*******************************************************************************\n";    
  mOutStream << "*                   LOGGING FINISHED " << GetTimeAsString() << "                 *\n";
  mOutStream << "*******************************************************************************\n\n";
  mOutStream.flush();   

  mOutStream.close();
}
